# Google Data APIs Client Library (1.43.0)

## com.google.gdata.util.httputil
Class FormUrlDecoder

    java.lang.Object
      com.google.gdata.util.httputil.FormUrlDecoder

    public class FormUrlDecoder

extends java.lang.Object

This class has been deprecated; use `UriParameterMap.parse(String,java.nio.charset.Charset)` Utility for parsing application/x-www-form-urlencoded content as sent by user agents in the query string of GET form submissions and the body of POST form submissions.

Nested Class Summary
`static interface` `FormUrlDecoder.Callback` Deprecated. Do not use. (Currently only needed internally by UriParameterMap.)

Method Summary
`static ParamMap` `parse(java.lang.String str, ParamMap map, java.lang.String encoding)` Deprecated. Use `UriParameterMap.parse(query, encoding)`. To convert from the string to the `Charset` instance, see `Charsets`. Note that an encoding of null will default to ISO-8859-1 in this deprecated implementation, whereas the classes in common.net default to UTF-8 encoding.
`static void` `parseWithCallback(java.lang.String str, java.lang.String encoding, FormUrlDecoder.Callback callback)` Deprecated. Do not use. (Currently only needed internally by UriParameterMap.)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### parseWithCallback

    @Deprecated
    public static void parseWithCallback(java.lang.String str,
                                                    java.lang.String encoding,
                                                    FormUrlDecoder.Callback callback)

  Deprecated. Do not use. (Currently only needed internally by UriParameterMap.)

### parse

    @Deprecated
    public static ParamMap parse(java.lang.String str,
                                            ParamMap map,
                                            java.lang.String encoding)

  Deprecated. Use `UriParameterMap.parse(query, encoding)`. To convert from the string to the `Charset` instance, see `Charsets`. Note that an encoding of null will default to ISO-8859-1 in this deprecated implementation, whereas the classes in common.net default to UTF-8 encoding.